> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open-aspm.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List Secret's Repos



## OpenAPI

````yaml api-reference/openapi.json get /secrets/:secret_name/repos
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://example.com/api
    description: Replace example.com with your app server
security: []
paths:
  /secrets/:secret_name/repos:
    get:
      tags:
        - Secrets
      summary: List Secret's Repos
      operationId: list_secrets_secrets__secret_name_repos_get
      parameters:
        - name: secret_name
          in: query
          required: false
          schema:
            type: string
            description: Secret name
            title: Secret Name
          description: Secret name
        - name: page
          in: query
          required: false
          schema:
            type: integer
            description: Page number
            default: 1
            title: Page
          description: Page number
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: Number of items per page
            default: 10
            title: Limit
          description: Number of items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````